Skip to content

Zero Trust Assessment

The Zero Trust Assessment service collection provides operations for retrieving Zero Trust Assessment data across your environment. Query assessment scores by host, retrieve audit reports, search assessments by score ranges, and perform combined queries with FQL filtering and pagination.

LanguageLast Update
Pythonv1.4.6
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
getAssessmentV1
get_assessment
Get Zero Trust Assessment data for one or more hosts by providing agent IDs (AID) and a customer ID (CID).
getAuditV1
get_audit
Get the Zero Trust Assessment audit report for one customer ID (CID).
getAssessmentsByScoreV1
get_assessments_by_score
Get Zero Trust Assessment data for one or more hosts by providing a customer ID (CID) and a range of scores.
getCombinedAssessmentsQuery
query_combined_assessments
Search for assessments in your environment by providing an FQL filter and paging details. Returns a set of HostFinding entities which match the filter criteria

Get Zero Trust Assessment data for one or more hosts by providing agent IDs (AID) and a customer ID (CID).

GET /zero-trust-assessment/entities/assessments/v1
Scope Zero Trust Assessment: READ Consumes · Produces application/json
PEP 8 get_assessment
NameTypeData typeDescription
idsquerystring or list of stringsOne or more agent IDs, which you can find in the data.zta file, or the Falcon console.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import ZeroTrustAssessment
falcon = ZeroTrustAssessment(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_assessment(ids=id_list)
print(response)

Get the Zero Trust Assessment audit report for one customer ID (CID).

This operation ID has recently been changed.

FalconPy supports deprecated IDs and method names via aliases. Developers should consider moving code to leverage the updated ID and method name for this operation whenever possible.

  • Legacy Operation ID: getComplianceV1
  • Legacy PEP8 method name: get_compliance
GET /zero-trust-assessment/entities/audit/v1
Scope Zero Trust Assessment: READ Consumes · Produces application/json
PEP 8 get_audit

No keywords or arguments accepted.

from falconpy import ZeroTrustAssessment
falcon = ZeroTrustAssessment(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_audit()
print(response)

Get Zero Trust Assessment data for one or more hosts by providing a customer ID (CID) and a range of scores.

GET /zero-trust-assessment/queries/assessments/v1
Scope Zero Trust Assessment: READ Consumes · Produces application/json
PEP 8 get_assessments_by_score
NameTypeData typeDescription
filterquerystringFQL formatted string containing the filter to use to limit results.
limitqueryintegerThe number of scores to return in this response. (Min: 1, Max: 1,000, Default: 100). Use in conjuction with the after parameter to limit results.
afterquerystringA pagination token used with the limit parameter to manage pagination of results. On your first request, do not provided an after token. On subsequent requests, provide the after token from the previous response to continue from that place in the results.
sortquerystringFQL formatted string containing the sort specification. A single sort field is allowed score, which can be sorted ascending or descending. (Defaults to desc, Example: score\|asc or score\|desc).
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import ZeroTrustAssessment
falcon = ZeroTrustAssessment(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_assessments_by_score(filter="string",
limit=integer,
after="string",
sort="string")
print(response)

Search for assessments in your environment by providing an FQL filter and paging details. Returns a set of HostFinding entities which match the filter criteria

GET /configuration-assessment/combined/assessments/v1
Scope Configvantage: READ Consumes · Produces application/json
PEP 8 query_combined_assessments
NameTypeData typeDescription
afterquerystringA pagination token used with the limit parameter to manage pagination of results. On your first request, don’t provide an after token. On subsequent requests, provide the after token from the previous response to continue from that place in the results.
limitqueryintegerThe number of items to return in this response (default: 100, max: 5000). Use with the after parameter to manage pagination of results.
sortquerystringSort assessment by their properties. Common sort options include: created_timestamp|desc, updated_timestamp|asc.
filterquerystringFilter items using a query in Falcon Query Language (FQL). Wildcards * are unsupported. Common filter options include: created_timestamp:>‘2019-11-25T22:36:12Z’, updated_timestamp:>‘2019-11-25T22:36:12Z’, aid:‘8e7656b27d8c49a34a1af416424d6231’.
facetquerylistSelect various details blocks to be returned for each assessment entity. Supported values: host, finding.rule.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import ConfigurationAssessment
falcon = ConfigurationAssessment(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_combined_assessments(after="string",
limit="string",
sort="string",
filter="string",
facet="string")
print(response)